package com.bitmechanic.maxq;

import javax.swing.*;

/**
 * Created by IntelliJ IDEA.
 * User: Wayne_Hearn
 * Date: Sep 15, 2003
 * Time: 2:48:43 PM
 * To change this template use Options | File Templates.
 */
public class JTextAreaTestScriptAdapter implements IScriptAdapter
{
  private JTextArea jTextArea;

  private JTextAreaTestScriptAdapter()
  {
  };

  public JTextAreaTestScriptAdapter(JTextArea jTextArea)
  {
    this.jTextArea = jTextArea;
    jTextArea.setText(""); // Clear.
  }

  public void append(String text)
  {
    jTextArea.append(text);
  }

  public void insert(String text, int position)
  {
    jTextArea.insert(text, position);
  }

  public String getText()
  {
    return jTextArea.getText();
  }

  public void setText(String text)
  {
    jTextArea.setText(text);
  }

  public void replace(String string, int start, int end) throws IllegalArgumentException
  {
    jTextArea.replaceRange(string, start, end);
  }
}
