from com.bitmechanic.maxq import Config

# Allows HttpTestCase to be replaced by changing maxq.properties.
# It would be better to do this with a class factory and a interface.
exec 'from '+Config.getDriverPkgName()+' import HttpTestCase'


class PyHttpTestCase(HttpTestCase):
    def __init__(self, name):
        HttpTestCase.__init__(self, name)
        self._suppressMsgs = 0
    
    def suppressMsgs(suppress=1):
        self._suppressMsgs = suppress
    
    def msg(self, s):
        if not self._suppressMsgs:
            print s
