package com.bitmechanic.maxq;

import junit.framework.TestCase;

public class MainTest extends TestCase
{
  public void testApplicationCanStartWithoutParameters()
  {
    String[] args = new String[]{};
    try {
      Main.main(args);
    } catch (Exception e) {
      fail("Failed to start application without parameters. " + e.getMessage());
    }
  }

  public void testParseLine()
  {
    String[] args = new String[]{"com.bitmechanic.maxq.Main", "--path", "test", "-run", "test/getTest.py"};
    Main.CommandLineResults results = new Main.CommandLineResults();
    try {
      Main.parseLine(args, results);
    } catch (Exception e) {
      fail("Failed to parse application parameters. " + e.getMessage());
    }
  }
}
